<?php

namespace Teknisa\PLA\Modules\Parametros\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\Libs\Util\Environment;

class Ger96000CentralController {
    protected $dataSourceName = "filial";
    protected $connection;
    
    public function __construct($connection){ $this->connection = $connection; }
    
    public function atualizaCentral(DTO\Request $request, DTO\Response $response){
        $row = $request->getRow();
        
        $params = array(
            "P_CDFILIAL" => $row["CDFILIAL"],
            "P_IDTPFILIALCENT" => $row["IDTPFILIALCENT"],
            "P_IDFILCENTPME"=> $row["IDFILCENTPME"]
        );
        
        $sqlUpdate = "UPDATE FILIAL SET IDFILCENTPME = :P_IDFILCENTPME, IDTPFILIALCENT = :P_IDTPFILIALCENT WHERE (CDFILIAL = :P_CDFILIAL)";
        
        try {
            $std = $this->connection->prepare($sqlUpdate);
            $std->execute($params);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function atualizaUnidadeAgregada(DTO\Request $request, DTO\Response $response){
        $row = $request->getRow();
        
        $params = array(
            "P_CDFILCENTPME" => $row["CDFILCENTPME"],
            "P_CDFILIAL" => $row["CDFILIAL"]
        );
        
        $sqlUpdate = "UPDATE FILIAL SET CDFILCENTPME = :P_CDFILCENTPME WHERE (CDFILIAL = :P_CDFILIAL)";
        
        try {
            $std = $this->connection->prepare($sqlUpdate);
            $std->execute($params);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function editCentral(DTO\Request $request, DTO\Response $response){
        $row = $request->getRow();
        
        $params = array(
            "P_IDTPFILIALCENT" => $row["IDTPFILIALCENT"],
            "P_CDFILIAL" => $row["CDFILIAL"]
        );
        
        $sqlUpdate = "UPDATE FILIAL SET IDTPFILIALCENT = :P_IDTPFILIALCENT WHERE CDFILIAL = :P_CDFILIAL";
        
        try {
            $std = $this->connection->prepare($sqlUpdate);
            $std->execute($params);
        } catch (Exception $e){
            throw $e;
        }
    }
}